Create an article summary quality playground agent
POST
/api/v1/playground/create_quality_review_agent
const url = 'https://app.prefactorai.com/api/v1/playground/create_quality_review_agent';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: 'null'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.prefactorai.com/api/v1/playground/create_quality_review_agent \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data nullAuthorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Responses
Section titled “Responses”Success
Media typeapplication/json
object
agent
Agent_Details
object
available_actions
Agent_AvailableActions
Available actions for this agent based on its status and instance counts
object
delete
Whether the agent can be deleted
boolean
reinstate
Whether the agent can be reinstated from retired
boolean
retire
Whether the agent can be retired
boolean
update
Whether the agent can be updated
boolean
external_identifier
id
Agent_Id
A valid agent ID
string
inserted_at
When the agent was created
string format: date-time
instance_counts
Agent_InstanceCounts
object
active
Number of instances with status active (running)
integer
cancelled
Number of instances with status cancelled
integer
complete
Number of instances with status complete
integer
failed
Number of instances with status failed
integer
finished
Number of instances in a finished state (complete + failed + cancelled + terminated)
integer
pending
Number of instances with status pending
integer
terminated
Number of instances with status terminated
integer
total
Total number of agent instances
integer
name
Agent name
string
risk_profile_id
One of:
RiskProfile_Id
A valid risk profile ID
string
Null
Null
string
status
Agent status
string
type
Type of resource (always ‘agent’)
string
updated_at
When the agent was last updated
string format: date-time
status
string
Example
{ "agent": { "description": "Agent description", "external_identifier": "workflow-abc123", "id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "inserted_at": "2024-01-01T00:00:00Z", "instance_counts": { "active": 2, "cancelled": 0, "complete": 5, "failed": 0, "finished": 5, "pending": 0, "terminated": 0, "total": 10 }, "last_activity_span_at": "2024-01-01T00:00:00Z", "name": "My Agent", "owner_person_id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "risk_profile_id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "status": "pending", "team_id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "type": "agent", "updated_at": "2024-01-01T00:00:00Z" }, "status": "success"}default
Section titled “default”Error